Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ve
Class FactorNormalise

    java.lang.Object
      |
      +--ve.Factor
            |
            +--ve.FactorNormalise

public class FactorNormalise
extends Factor

This the the class of factors that are the normalization of other factors. It is mainly uses as the last step in a compuation. It is lazy in that it doesn't explicitly store the factors. The values can be computed as needed using the `EltsIterator`.

Inner Class Summary
`private class` | `FactorNormalise.Itr`

Field Summary
`private Factor` | `fac1` the factor that is to be normalised.
`private double` | `sum` the sum of the probabilities in the factor.

Fields inherited from class ve.Factor
`BY_ASSIGN, BY_CPT, BY_DETERMINISTIC, BY_EXPANDING, BY_GENRULE, BY_MAXIMIZING, BY_MULTIPLYING, BY_NORMALIZING, BY_OBSERVED, BY_PLUS, BY_REORDERING, BY_SAVEIT, BY_SUM_OUT, BY_UNIFORM, BY_UPDATABLE, BY_V_ELIM, howCreatedVal, savingForTracing, thesize, variables`

Constructor Summary
`FactorNormalise(Factor f1)` constructs a factor with the given variables.

Method Summary
`Factor` | `getTheFactor()` returns the factor that is being normalised
`EltsIterator` | `iterator()` Returns an iterator over the values of the factor.

Methods inherited from class ve.Factor
`allOnes, contains, display, getName, getSavingForTracing, getVariables, howCreated, isRedundant, isRedundant, print, print, printVariables, setSavingForTracing, size, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### fac1

    private Factor fac1

  the factor that is to be normalised.

### sum

    private double sum

  the sum of the probabilities in the factor.

Constructor Detail

### FactorNormalise

    public FactorNormalise(Factor f1)

  constructs a factor with the given variables.

Method Detail

### getTheFactor

    public Factor getTheFactor()

  returns the factor that is being normalised

### iterator

    public EltsIterator iterator()

  Description copied from class: `Factor`
  Returns an iterator over the values of the factor.
  Overrides:
    `iterator` in class `Factor`

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD